﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IronIntel.Contractor.Device
{
    public class GpsDeviceItem
    {
        public long ID { get; set; }
        public string SN { get; set; }        
        public string Source { get; set; }
        public string SourceName { get; set; }
        public string DeviceType { get; set; }
        public int Status { get; set; }
        public bool Active { get; set; }
        public string ContractorID { get; set; }
        public string Contractor { get; set; }
        public string InvoiceNumber { get; set; }
        public DateTime AddDate { get; set; }
        public string AddDateStr { get { return AddDate == DateTime.MinValue ? "" : AddDate.ToShortDateString(); } }
        public DateTime? InvoiceDate { get; set; }
        public string InvoiceDateStr { get { return InvoiceDate == null ? "" : InvoiceDate.Value.ToShortDateString(); } }
        public DateTime? ServiceStartDate { get; set; }
        public string ServiceStartDateStr { get { return ServiceStartDate == null ? "" : ServiceStartDate.Value.ToShortDateString(); } }
        public string Notes { get; set; }
    }
}
