﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IronIntel.Contractor.Maintenance
{
    public class SegmentInfo
    {
        public long SegmentID { get; set; }
        public long WorkOrderID { get; set; }
        public long JobsiteID { get; set; }
        public string JobsiteName { get; set; }
        public string UserIID { get; set; }
        public string UserName { get; set; }
        public decimal Cost { get; set; }
        public decimal Hours { get; set; }
        public string Description { get; set; }
        public string Notes { get; set; }
        public bool Completed { get; set; } = false;
        public DateTime? CompletedDate { get; set; }
        public string CompletedDateStr { get { return CompletedDate == null ? "" : CompletedDate.Value.ToShortDateString(); } }
        public string Component { get; set; }    
    }
}
