﻿using Foresight.Fleet.Services.Asset;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IronIntel.Contractor.Machines
{
    public class LocationInfo
    {
        public long AssetID { get; set; }
        public string DataSource { get; set; }
        public string SubSource { get; set; }
        public string DataSourceName { get; set; }
        public DateTime AsofTime { get; set; }
        public DateTime AsofTimeLocal { get; set; }
        public bool IsPrimary { get; set; }

        public string SpeedUnits { get; set; }
        public double AccelerationMagnitude { get; set; }
        public double Duration { get; set; }
        public SpeedingBehaviors SpeedingBehavior { get; set; }
        public HarshDrivingEvents HarshDringEvent { get; set; }
        public string Street { get; set; }
        public string SpeedLimitUnits { get; set; }
        public double PostedSpeedLimit { get; set; }
        public double Speed { get; set; }
        public AssetMoveStatus MoveStatus { get; set; }
        public string EventType { get; set; }
        public int Heading { get; set; }
        public double Longitude { get; set; }
        public double Latitude { get; set; }

        public string ReceivedDateStr
        {
            get
            {
                return AsofTimeLocal.ToString();
            }
        }
    }
}
