﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IronIntel.Contractor.OTRConfig
{
    public class SpeedingItem
    {
        public string ID { get; set; }
        public long AssetID { get; set; }
        public string AssetName { get; set; }
        public string Make { get; set; }
        public string Model { get; set; }
        public DateTime EventTime { get; set; }
        public string EventTimeStr { get { return EventTime == DateTime.MinValue ? "" : EventTime.ToString(); } }
        public string Street { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string PostalCode { get; set; }
        public string Country { get; set; }
        public double TopSpeed { get; set; }
        public double PostedSpeedLimit { get; set; }
        public double SpeedingOverage { get; set; }
    }
}
