﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data;
using Foresight.Data;

namespace IronIntel.Contractor.Users
{
    public class AppModuleInfo
    {
        public string ID { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public bool Visible { get; set; }
        public string Url { get; set; }
        public string IconPath { get; set; }
        public string BackColor { get; set; }
        public string ForeColor { get; set; }
        public bool OpenInNewWindow { get; set; }
        public AppModuleType ModuleType { get; set; }
    }

    public class SecurityNavigateItem
    {
        public string ID { get; set; }
        public string Title { get; set; }
        public string Url { get; set; }
        public string IconPath { get; set; }
    }

    public enum AppModuleType
    {
        System,
        Workspace
    }
}
